{% extends 'base.html.twig' %}

{% block title %}Products Index{% endblock %}

{% block body %}

<ul class="nav bg-dark">
  <li class="nav-item">
    <a class="btn btn-dark " href="/">Home</a>
  </li>
  <li class="nav-item">
    <a class="btn btn-dark" href="/products">Product</a>
  </li>
  <li class="nav-item">
    <a class="btn btn-dark" href="/category">Categories</a>
  </li>

</ul>

    <h1>Products Index</h1>

    <table class="table container">
        <thead>
            <tr>
                <th>Id</th>
                <th>Name</th>
                <th class= "mobile-hidden">Description</th>
                <th class= "mobile-hidden">Quantity</th>
                <th>Price</th>
                <th class= "mobile-hidden">Category</th>
                <th class= "mobile-hidden">Date of creation</th>
                <th>Actions</th>
            </tr>
        </thead>
        <tbody>
        {% for product in products %}
            <tr>
                <td>{{ product.id }}</td>
                <td>{{ product.name }}</td>
                <td class= "mobile-hidden">{{ product.description }}</td>
                <td class= "mobile-hidden">{{ product.quantity }}</td>
                <td>{{ product.price }}</td>
                {% for categori in category %}
                 <td class= "mobile-hidden">{{ categori.name }}</td>
                 {% endfor %}
                <td class= "mobile-hidden">{{ product.datecreate ? product.datecreate|date('Y-m-d') : '' }}</td>
                <td>
                    <a href="{{ path('products_show', {'id': product.id}) }}">Show</a>
                    <a href="{{ path('products_edit', {'id': product.id}) }}">Edit</a>
                </td>
            </tr>
        {% else %}
            <tr>
                <td colspan="7">No record found</td>
            </tr>
        {% endfor %}
        </tbody>
    </table>

    <a class="btn btn-dark" href="{{ path('products_new') }}">Create a new product</a>
   
{% endblock %}
